<template>
  <div>
    <header class="h-[60px] md:h-[100px] w-full md:w-[1267px] mx-auto flex justify-center items-center relative">
      <a href="/" class="absolute left-5 md:left-0 top-4 md:top-[30px]"><img :src="logoUrl" class="w-[100px] md:w-[114px]" alt="PaperId"/></a>
      <div class="hidden md:flex items-center justify-center">
        <a href="#" class="text-[18px] text-white mr-8 uppercase hover:text-[#93C854]">Produk</a>
        <a href="#" class="text-[18px] text-white mr-8 uppercase hover:text-[#93C854]">Solusi Bisnis</a>
        <a href="#" class="text-[18px] text-white mr-8 uppercase hover:text-[#93C854]">Cara Kerja</a>
        <a href="#" class="text-[18px] text-white mr-8 uppercase hover:text-[#93C854]">Harga</a>
        <a href="#" class="text-[18px] text-white uppercase hover:text-[#93C854]">Perusahaan</a>
      </div>
      <div class="hidden md:flex absolute right-0">
        <a href="#" class="w-[94px] rounded-full border border-[#93C854] flex items-center justify-center text-[#93C854] text-[14px] uppercase mr-[13px] h-10 hover:bg-[#93C854] hover:text-white hover:shadow-md">login</a>
        <a href="#" class="w-[94px] rounded-full bg-[#93C854] flex items-center justify-center text-white text-[14px] uppercase h-10 hover:shadow-md">daftar</a>
      </div>
      <div @click="isShowMenu = true" class="block md:hidden absolute right-5 cursor-pointer">
        <font-awesome-icon :icon="['fas', 'bars']" class="text-[24px] text-white" />
      </div>
    </header>

    <!-- mobile menu -->
    <div v-if="isShowMenu" class="fixed hero-gradient left-0 right-0 top-0 bottom-0 p-7 z-20">
      <div class="flex justify-between items-center mb-10">
        <a href="/" class=""><img :src="logoUrl" class="w-[100px] md:w-[114px]" alt="PaperId"/></a>
        <div @click="isShowMenu = false" class="cursor-pointer"><font-awesome-icon :icon="['fas', 'x']" class="text-[20px] text-white" /></div>
      </div>
      <a href="#" class="text-[18px] text-center block text-white uppercase hover:text-[#93C854] h-14 leading-[56px] border-b border-white border-opacity-10">Produk</a>
      <a href="#" class="text-[18px] text-center block text-white uppercase hover:text-[#93C854] h-14 leading-[56px] border-b border-white border-opacity-10">Solusi Bisnis</a>
      <a href="#" class="text-[18px] text-center block text-white uppercase hover:text-[#93C854] h-14 leading-[56px] border-b border-white border-opacity-10">Cara Kerja</a>
      <a href="#" class="text-[18px] text-center block text-white uppercase hover:text-[#93C854] h-14 leading-[56px] border-b border-white border-opacity-10">Harga</a>
      <a href="#" class="text-[18px] text-center block text-white uppercase hover:text-[#93C854] h-14 leading-[56px] border-b border-white border-opacity-10 mb-10">Perusahaan</a>
      <a href="#" class="w-full mb-4 rounded-full border border-[#93C854] flex items-center justify-center text-[#93C854] text-[14px] uppercase mr-[13px] h-10 hover:bg-[#93C854] hover:text-white hover:shadow-md">login</a>
      <a href="#" class="w-full mb-4 rounded-full bg-[#93C854] flex items-center justify-center text-white text-[14px] uppercase h-10 hover:shadow-md">daftar</a>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Header',
  data() {
    return {
      logoUrl: require('@/assets/images/logo.svg'),
      isShowMenu: false
    };
  },
}
</script>
